"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os = require("os");
const fs = require("fs");
const path = require("path");
exports.locateProjectRoot = () => {
    var _a, _b;
    return path.dirname(exports.findPackage(((_a = require.main) === null || _a === void 0 ? void 0 : _a.filename) || ((_b = process.mainModule) === null || _b === void 0 ? void 0 : _b.filename) ||
        path.resolve(process.argv[1], "package.json") ||
        path.resolve(process.cwd(), "package.json")));
};
exports.findPackage = (dir) => {
    if (fs.existsSync(path.resolve(dir, "package.json"))) {
        return path.resolve(dir, "package.json");
    }
    else if (path.relative(dir, os.platform() == "win32" ? process.cwd().split(path.sep)[0] : "/") !== "") {
        return exports.findPackage(path.resolve(dir, ".."));
    }
};
//# sourceMappingURL=package.js.map